<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng.wire (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.firebirdsql.gds.ng.wire (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/tz/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/auth/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.firebirdsql.gds.ng.wire</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener</a></td>
<td class="colLast">
<div class="block">Listener interface for events on the asynchronous channel.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/DeferredAction.html" title="interface in org.firebirdsql.gds.ng.wire">DeferredAction</a></td>
<td class="colLast">
<div class="block">Semi-functional interface for processing deferred responses from the server.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></td>
<td class="colLast">
<div class="block">Interface for the asynchronous channel used for event notification.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a></td>
<td class="colLast">
<div class="block">Common connection operations shared by database and service handles</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.ProcessAttachCallback.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations.ProcessAttachCallback</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></td>
<td class="colLast">
<div class="block">Interface for Statements created for the wire protocol implementation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a></td>
<td class="colLast">
<div class="block">Interface for transactions created for the wire protocol implementation.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></td>
<td class="colLast">
<div class="block">Descriptor of protocol information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/Response.html" title="interface in org.firebirdsql.gds.ng.wire">Response</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/XdrStreamAccess.html" title="interface in org.firebirdsql.gds.ng.wire">XdrStreamAccess</a></td>
<td class="colLast">
<div class="block">Provides access to the <a href="../../../../../org/firebirdsql/gds/impl/wire/XdrInputStream.html" title="class in org.firebirdsql.gds.impl.wire"><code>XdrInputStream</code></a> and <a href="../../../../../org/firebirdsql/gds/impl/wire/XdrOutputStream.html" title="class in org.firebirdsql.gds.impl.wire"><code>XdrOutputStream</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireBlob</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireDatabase.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireDatabase</a></td>
<td class="colLast">
<div class="block">Abstract class for operations common to all version of the wire protocol implementation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireInputBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireInputBlob</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireOutputBlob.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireOutputBlob</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireService.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireService</a></td>
<td class="colLast">
<div class="block">Abstract service implementation for the wire protocol.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractFbWireStatement.html" title="class in org.firebirdsql.gds.ng.wire">AbstractFbWireStatement</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">AbstractProtocolDescriptor</a></td>
<td class="colLast">
<div class="block">Abstract class to simplify implementation of <a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><code>ProtocolDescriptor</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AbstractWireOperations.html" title="class in org.firebirdsql.gds.ng.wire">AbstractWireOperations</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.Event.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListener.Event</a></td>
<td class="colLast">
<div class="block">Event count notification</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListenerDispatcher.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousChannelListenerDispatcher</a></td>
<td class="colLast">
<div class="block">Dispatcher for <a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousChannelListener.html" title="interface in org.firebirdsql.gds.ng.wire"><code>AsynchronousChannelListener</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/AsynchronousProcessor.html" title="class in org.firebirdsql.gds.ng.wire">AsynchronousProcessor</a></td>
<td class="colLast">
<div class="block">Process asynchronous channels for notification of events.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/DefaultBlrCalculator.html" title="class in org.firebirdsql.gds.ng.wire">DefaultBlrCalculator</a></td>
<td class="colLast">
<div class="block">Default BLR calculator for the wire protocol.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.AcceptPacket.html" title="class in org.firebirdsql.gds.ng.wire">FbWireAttachment.AcceptPacket</a></td>
<td class="colLast">
<div class="block">Struct-like class, reduced equivalent of Firebird p_acpd so we can store data for handling op_cond_accept.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabaseFactory.html" title="class in org.firebirdsql.gds.ng.wire">FbWireDatabaseFactory</a></td>
<td class="colLast">
<div class="block">Implementation of <a href="../../../../../org/firebirdsql/gds/ng/FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng"><code>FbDatabaseFactory</code></a> for the wire protocol implementation.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/FetchResponse.html" title="class in org.firebirdsql.gds.ng.wire">FetchResponse</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/GenericResponse.html" title="class in org.firebirdsql.gds.ng.wire">GenericResponse</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/ProtocolCollection.html" title="class in org.firebirdsql.gds.ng.wire">ProtocolCollection</a></td>
<td class="colLast">
<div class="block">Collection of protocols for a connect request.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/SqlResponse.html" title="class in org.firebirdsql.gds.ng.wire">SqlResponse</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;T extends <a href="../../../../../org/firebirdsql/gds/ng/IAttachProperties.html" title="interface in org.firebirdsql.gds.ng">IAttachProperties</a>&lt;T&gt;,C extends <a href="../../../../../org/firebirdsql/gds/ng/wire/FbWireAttachment.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAttachment</a>&gt;</td>
<td class="colLast">
<div class="block">Class managing the TCP/IP connection and initial handshaking with the Firebird server.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a></td>
<td class="colLast">
<div class="block">Wire connection instance for connecting to a database</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireEventHandle.html" title="class in org.firebirdsql.gds.ng.wire">WireEventHandle</a></td>
<td class="colLast">
<div class="block">Event handle for the wire protocol.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a></td>
<td class="colLast">
<div class="block">Wire connection instance for connecting to a service.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/firebirdsql/gds/ng/tz/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../../../org/firebirdsql/gds/ng/wire/auth/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/firebirdsql/gds/ng/wire/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
